Bug 129074 - Extension Points Reference not present
Extension Points Reference not present
Status: CLOSED NEXTRELEASE
Product: Red Hat Developer Suite
Classification: Retired
Component: JDT (Show other bugs)
2.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Aaron Luchko
eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-03 15:08 EDT by Ben Konrath
Modified: 2007-04-18 13:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-31 17:50:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file (6.48 KB, text/plain)
2004-08-04 16:36 EDT, Aaron Luchko
no flags Details

  None (edit)
Description Ben Konrath 2004-08-03 15:08:31 EDT
Description of problem:
Extension Points Reference not present for JDT Plug-in Developer Guide
and Platform Plug-in Developer Guide.

How reproducible:
always

Steps to Reproduce:
1. Go to Help -> Help Contents 
2. Then go to JDT Plug-in Developer Guide -> Reference -> Extension
Points Reference
  
Actual results:
Extension Points Reference not displayed (possibly not generated)

Expected results:
Extension Poinst Reference should be displayed.

Additional info:
This probably applies to all platforms but I haven't tested it.
Comment 1 Aaron Luchko 2004-08-04 16:35:13 EDT
Guessing this is the same bug or strongly related, following steps I
see all the extension points listed, however clicking on one of the
links yeilds,

" The topic that you have requested is not available. The link may be
wrong, or you may not have the corresponding product feature
installed. This online help only includes documentation for features
that are installed."

same with the Platform Plug-In Development Guide, PDE and I'm guessing
others, I'll attach the log file I got as well.  Got this on ppc.
Comment 2 Aaron Luchko 2004-08-04 16:36:25 EDT
Created attachment 102436 [details]
log file

accompanied by this on console;
Parse Aborted: Encountered "\"" at line 19, column 67.
Was expecting one of:
    <ArgName> ...
    <TagEnd> ...

Parse Aborted: Encountered "\"" at line 26, column 59.
Was expecting one of:
    <ArgName> ...
    <TagEnd> ...
Comment 3 Aaron Luchko 2004-08-31 17:50:06 EDT
Comment #2 is unrelated, extension points weren't being generated as a
result of needing to use headless eclipse to generate them.  Now using
the headless eclipse that we build in the rpmbuild to build extension
points.

Note You need to log in before you can comment on or make changes to this bug.